# Inspect

## Table of Contents

- [Introduction](#introduction)
- [Subtools](#subtools)
- [Usage](#usage)
- [Examples](#examples)


## Introduction

The `check` tool can be used to check and validate for various use-cases.


## Subtools

- [EXPERIMENTAL] `lint` can be used to validate ONNX models and catch exceptions/warnings over independent nodes
    in the graph in a JSON format.

## Usage

See `polygraphy check -h` for usage information.


## Examples

For examples, see [this directory](../../../examples/cli/check)
